> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Client Approve Payroll Run

> Name and signature indicate it changes client approve payroll run

Not available to API keys yet. It will need `payroll:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/client-approve-payroll-run
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/client-approve-payroll-run:
    post:
      operationId: clientApprovePayrollRun
      summary: Client Approve Payroll Run
      description: |-
        Name and signature indicate it changes client approve payroll run

        Not available to API keys yet. It will need `payroll:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ClientApprovePayrollRunRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientApprovePayrollRunResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    ClientApprovePayrollRunRequest:
      type: object
      properties:
        payrollRunID:
          type: string
          format: uuid
      required:
        - payrollRunID
    ClientApprovePayrollRunResponse:
      type: object
      properties:
        payrollRunID:
          type: string
        runStatus:
          type: string
          enum:
            - PENDING_CLIENT_APPROVAL
            - APPROVED
        nextApproverRoleInOrgID:
          type:
            - string
            - 'null'
      required:
        - payrollRunID
        - runStatus
        - nextApproverRoleInOrgID
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
